#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# $GTK_PARADISE/examples/gtk3/003_toggle_button_example.rb
# =========================================================================== #
require 'gtk3'

window = Gtk::Window.new
window.title = 'Showcasing Toggle Buttons'
window.border_width = 10
window.set_size_request(500, 250)
vbox = Gtk::Box.new(:vertical)
vbox.add(Gtk::ToggleButton.new(label: '1'))
vbox.add(Gtk::ToggleButton.new(label: '2'))
vbox.add(Gtk::ToggleButton.new(label: '3'))
window.add(vbox)
window.move(0, 0)
window.show_all
Gtk.main